/* GLOBAL */

body {
    background:rgb(223, 223, 223);
    color: black;
    font-family: 'Montserrat', sans-serif;
    margin: 0;
}

body.hideScroll {
    overflow: hidden
}


a {
    color: #FF5E84;
    font-weight: bold;
    text-decoration: none;
}

a:hover {
    text-decoration: underline;
}

p, .description {
    font-size: 16px;
    line-height: 24px;
    letter-spacing: 0.2px;
}

.button {
    color:white;
    background: #FF5E84;

    width: 150px;
    height: 40px;

    font-size: 14px;
    font-weight: bold;

    display: flex;
    align-items: center;
    justify-content: center;

    border-radius: 8px;
    box-shadow: 0px 8px 16px rgba(255, 0, 92, 0.20);

}
.button:hover {
    text-decoration: none;
    background-color: rgb(0, 76, 197);
    transition: 500ms;
}


/* PADRÃO */

#container {
    width: 90%;
    max-width: 980px;
    margin: 40px  auto;

    display: flex;

}

#intro {
    width: 300px;
    margin-right: 64px;
}

main {
    margin: 32px 0;
    
}

#buttons {
    display: flex;
    justify-content: space-evenly;
    margin-bottom: 32px;
    
}

button {
    background: none;
    color: #FF5E84;
    
    border: none;
    
    
    font-size: 14px;
    font-weight: bold;
    line-height: 18px;
    letter-spacing: 0.2px;
    

    cursor: pointer;
    outline: none;
} 
button:hover{
    text-decoration: underline;
}



footer {
    text-align: center;

    font-size: 14px;
    font-weight: 400;
    line-height: 18px;
    letter-spacing: 0.2px;

    color: #777
    
}
footer a {
    opacity: 0.7;
}


/* Segunda parte */

.idea {
    display: flex;
    
    background-color: #fff;

    box-shadow: 0 8px 16px -8px rgba(1, 1,1, 0, 0.20);
    border-radius: 8px;

    padding: 32px;
    margin-bottom: 32px;
}

.idea img {
    width: 60px;
    height: 60px;


    margin-right: 32px;
}

.deia h3 {
    margin: 0;
}

.idea p {
    margin: 8px 0;
    color: #777
}

.idea .description {
    margin: 16px 0;
}




/* modal */

#modal {
    background: #FF5E84;

    position: fixed;
    top: 0;
    bottom: 0;
    right: 0;
    left: 0;

    display: flex;
    
    justify-content: center;


}
#modal.addScroll {
    overflow: auto;
}

#modal .content {
    margin-top: 5%;

    color: white;
}


#modal .content h1 {
    text-align: center;

    text-transform: uppercase;
}

#modal form {
    width: 80%;
    max-width: 800px;

    margin: 0 auto 15%;

    display:grid;
    grid-template-columns: 1fr 1fr;

    gap: 20px;
}

.content form div:nth-child(3), .content form div:nth-child(4),
.content form div:nth-child(5) {
    grid-column: span 2;
}

form input, form textarea {
    width: 100%;
    padding: 12px;
    box-sizing: border-box;

    border-radius: 6px;

    border: 1px solid rgb(158, 34, 63, 0.5);

    outline: none;

    font-size: 16px;

}

form label {
    font-weight: 600;
    line-height: 32px;
    letter-spacing: 0.8px;
}

form a {

    width: 150px;
    height: 40px;

    background-color: #ffffff22;
    color: white;
    
    display: flex;
    align-items: center;
    justify-content: center;

    align-self: end;

    border-radius: 6px;
    font-size: 14px;
    font-weight: bold;

    transition: 400ms;
}
form a:hover {
    background: #fff;
    color:#FF5E84;

    text-decoration: none;
}

form button {
    background: white;
    width: 150px;
    height: 40px;

    border-radius: 6px;

    cursor:pointer;

    margin-top: 32px;

    grid-column: 2;
    justify-self: end;

    transition: 400ms;
}

form button:hover {
    background-color: rgb(253, 159, 181);
    color: white;
    text-decoration: none;
}

#modal.hide {
    opacity: 0;
    visibility: hidden;
}


/* IDEIA.HTML */
#page-ideias #container {
    display:block;
}

#page-ideias header {
    display: flex;

    justify-content: space-between;
}

#page-ideias nav {
    display: flex;
    align-items: center;
}

#page-ideias li {
    list-style-type: none;
    margin-right: 16px;
}
#page-ideias li a {
    color: #25282B;
}

#page-ideias li a.button {
    color: white;
}

#page-ideias nav li:last-child {
    margin: 0;

}



section#title {
    text-align: center;

}

section#title p {
    opacity: 0,7;
    margin: 0;
}

section#title h1 {
    margin: 0;
    font-size: 28px;
    font-weight: bold;
}

section#ideias {
    display: grid;
    grid-template-columns: 1fr 1fr;

    gap: 20px;
}

section#ideias .idea {
    margin: 0;
}

section#title,
section#ideias,
footer {
    margin-top: 64px
}